.c-link {
  position: relative;
  color: $color-palette-orange-900;
  font-weight: bold;

  &:before {
    bottom: -4px;
    content: '';
    left: 0;
    position: absolute;
    width: 100%;
    height: 2px;
    display: block;
    background: currentColor;
    transition: all .3s;
    will-change: bottom, opacity;
  }

  &:hover:before {
    bottom: -12px;
    opacity: 0;
  }
}

.c-link--ghost {
  color: $color-palette-white;

  &:before {
    background: $color-palette-orange-500
  }
}